<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:padding="10dp"
    android:background="@color/md_grey_200"
    android:scrollbars="vertical"
    android:orientation="vertical">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@drawable/bg_white_et"
        android:gravity="left"
        android:orientation="horizontal"
        android:padding="12dp">

        <com.fxy.baselibrary.views.MarqueeTextView
            android:id="@+id/mt_scales_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="1dp"
            android:layout_weight="1"
            android:ellipsize="marquee"
            android:focusable="true"
            android:gravity="left"
            android:paddingRight="5dp"
            android:hint="请选择蓝牙秤"
            android:text=""
            android:textColor="@color/black"
            android:singleLine="true"
            android:textSize="@dimen/t14" />
        <Button
            android:id="@+id/btn_select_scales"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_weight="1"
            android:background="@null"
            android:gravity="center_vertical"
            android:text="切换蓝牙秤"
            android:textColor="@color/md_blue_500"
            android:drawableRight="@drawable/s_right_jt"
            android:textAlignment="center"
            >
        </Button>
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:background="@drawable/bg_white_et"
        android:padding="@dimen/dp_10">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连续次数值:"
            android:textColor="@color/black_3d3d3d"
            android:textSize="@dimen/t14" />


        <EditText
            android:id="@+id/et_continuous"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginLeft="10dp"
            android:gravity="left"
            android:minLines="7"
            android:maxLength="15"
            android:background="@null"
            android:imeOptions="actionDone"
            android:paddingRight="5dp"
            android:hint="一般1或2填写"
            android:textSize="@dimen/t14"
            android:singleLine="true"

            />

    </LinearLayout>
    <LinearLayout
        android:id="@+id/st_record_log_show"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_4"
        android:background="@drawable/bg_white_et"
        android:gravity="left"
        android:orientation="horizontal"
        android:padding="3dp">
        <Switch
            android:id="@+id/st_record_switch"
            android:padding="10dp"
            android:checked="false"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="日志记录" />
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_4"
        android:background="@drawable/bg_white_et"
        android:gravity="left"
        android:orientation="horizontal"
        android:padding="3dp">
        <Switch
            android:id="@+id/st_clear_weight"
            android:padding="10dp"
            android:checked="false"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="清除秤重" />
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:background="@drawable/bg_white_et"
        android:padding="@dimen/dp_10">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="称重测试:"
            android:textColor="@color/black_3d3d3d"
            android:textSize="@dimen/t14" />


        <EditText
            android:id="@+id/et_auto_weight"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginLeft="10dp"
            android:gravity="left"
            android:minLines="7"
            android:maxLength="15"
            android:background="@null"
            android:imeOptions="actionDone"
            android:paddingRight="5dp"
            android:hint="一般1或2填写"
            android:textSize="@dimen/t14"
            android:singleLine="true"

            />

    </LinearLayout>

    <Button
        android:id="@+id/btn_save"
        android:gravity="center"
        android:layout_width="match_parent"
        android:layout_margin="@dimen/dp_10"
        android:background="@drawable/bg_orange_item"
        android:text="保存"
        android:textColor="@color/white"
        android:textSize="@dimen/t18"
        android:layout_alignParentBottom ="true"
        android:layout_marginLeft="10px"
        android:layout_height="wrap_content">
    </Button>
    <Button
        android:id="@+id/btn_link_blue"
        android:gravity="center"
        android:layout_width="match_parent"
        android:layout_margin="@dimen/dp_10"
        android:background="@drawable/bg_white_et"
        android:text="匹配蓝牙"
        android:textColor="@color/black"
        android:textSize="@dimen/t18"
        android:layout_alignParentBottom ="true"
        android:layout_marginLeft="10px"
        android:layout_height="wrap_content">
    </Button>
</LinearLayout>